﻿using System;
using System.Diagnostics;
using System.Linq;
using System.Windows;
using System.Windows.Input;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.GridView;
using Telerik.Windows.Controls.GridView.SearchPanel;

namespace RadGridView_WPF_NoXAML_44
{
	/// <summary>
	/// Interaction logic for MainWindow.xaml
	/// </summary>
	public partial class MainWindow : Window
	{
		public MainWindow()
		{
			InitializeComponent();

			this.AddHandler(RadGridView.KeyDownEvent, new KeyEventHandler(OnKeyDown), true);
		}

		private void OnKeyDown(object sender, KeyEventArgs e)
		{
			if ((Keyboard.Modifiers & ModifierKeys.Shift) == ModifierKeys.Shift && e.Key == Key.Down)
			{
				e.Handled = true;
				var currentRow = this.clubsGrid.ItemContainerGenerator.ContainerFromItem(this.clubsGrid.CurrentCellInfo.Item) as GridViewRow;
				var currentRowIndex = this.clubsGrid.Items.IndexOf(this.clubsGrid.CurrentCellInfo.Item);
				var nextIndex = currentRowIndex + 1;
				var item = this.clubsGrid.Items[nextIndex];

				if (currentRow != null && nextIndex < this.clubsGrid.Items.Count)
				{
					if (currentRow.IsSelected)
					{
						this.clubsGrid.SelectedItems.Add(item);
						this.clubsGrid.CurrentCellInfo = new GridViewCellInfo(item, this.clubsGrid.CurrentColumn);
					}
					else
					{
						var cell = new GridViewCellInfo(item, this.clubsGrid.CurrentColumn, this.clubsGrid);
						this.clubsGrid.SelectedCells.Add(cell);
						this.clubsGrid.CurrentCellInfo = cell;
					}
				}
			}
		}
	}
}
